<div class="container">
    <div class="card bg-dark text-white m-3">
      <h5 class="card-header bg-secondary text-center">
        <img src="../assets/ng_logo.png" alt="" width="30" height="30" class="mr-2" />
        Angular Sign-up Form (Reactive)
      </h5>
      <div class="card-body">
        <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
          <div class="form-row">
            <div class="form-group col-6">
              <label>First Name</label>
              <input 
                type="text" 
                class="form-control" 
                formControlName="firstName"
                [ngClass]="{'is-invalid': submitted && h.firstName.errors}"
              />
              <div class="text-warning" *ngIf="submitted || h.firstName.touched && h.firstName.errors">
                <div *ngIf="h.firstName.errors.required">
                  First Name is required
                </div>
              </div>
            </div>
            <div class="form-group col-6">
              <label>Last Name</label>
              <input 
                type="text" 
                class="form-control" 
                formControlName="lastName"
                [ngClass]="{'is-invalid': submitted && h.lastName.errors}"
              />
                <div class="text-warning" *ngIf="submitted || h.lastName.touched && h.lastName.errors">
                <div *ngIf="h.lastName.errors.required">
                  Last Name is required
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label>Email</label>
            <input 
                type="text" 
                class="form-control" 
                formControlName="email"
                [ngClass]="{'is-invalid': submitted && h.email.errors}"
              />
            <div class="text-warning" *ngIf="submitted || h.email.touched && h.email.errors">
              <div *ngIf="h.email.errors.required">
                  Email is required
                </div>
              <div *ngIf="h.email.errors.email">
                Please enter a valid email address
              </div>
            </div>
          </div>
  
          <div class="form-row">
            <div class="form-group col">
              <label>Password</label>
              <input 
                type="password" 
                class="form-control" 
                formControlName="password"
                [ngClass]="{'is-invalid': submitted && h.password.errors}"
              />
              <div class="text-warning" *ngIf="submitted || h.password.touched && h.password.errors">
                <div *ngIf="h.password.errors.required">
                    Password is required
                </div>
                <div *ngIf="h.password.errors.minlength">
                  Password must be at least 6 characters
                </div>
              </div>
            </div>
            <div class="form-group col">
              <label>Confirm Password</label>
              <input 
                type="password" 
                class="form-control" 
                formControlName="confirmPassword"
                [ngClass]="{'is-invalid': submitted && h.confirmPassword.errors}"
              />
              <div class="text-warning" *ngIf="submitted || h.confirmPassword.touched && h.confirmPassword.errors">
                <div *ngIf="h.confirmPassword.errors.required">
                  Confirm Password is required
                </div>
                <div *ngIf="h.confirmPassword.errors.mustmatch">
                  Passwords must match
                </div>
              </div>
            </div>
          </div>
          <div class="form-group form-check">
            <input 
                type="checkbox"
                id="acceptTerms" 
                class="form-check-input" 
                formControlName="acceptTandC"
                [ngClass]="{'is-invalid': submitted && h.acceptTandC.errors}"
              />
            <label for="acceptTerms" class="form-check-label">
                Accept Terms & Conditions
            </label>
            <div class="text-warning" *ngIf="submitted && h.acceptTandC.errors.required">
              Accept Ts & Cs is required
            </div>
          </div>
          <div class="text-center">
            <button class="btn btn-success btn-lg px-4 mr-3">Register</button>
            <button class="btn btn-warning" type="reset" (click)="onReset()">
              Reset
            </button>
            <hr>
            <p class="text white">Value: {{ registerForm.value | json }}</p>
            <p class="text white">Value: {{ registerForm.valid | json }}</p>
          </div>
        </form>
      </div>
    </div>
  </div>
  